Attribute VB_Name = "Module1"
Function StripHTML(cell As Range) As String

Dim RegEx As Object
Set RegEx = CreateObject(vbscript.regexp)
Dim sInput As String
Dim sOut As String
sInput = cell.Text

sInput = Replace(sInput,  \ x0D \ x0A, Chr(10))
sInput = Replace(sInput, \x00?, Chr(10))

replace HTML breaks and end of paragraphs with line breaks
sInput = Replace(sInput, </P>, Chr(10) & Chr(10))
sInput = Replace(sInput,  < BR > , Chr(10))

replace bullets with dashes
sInput = Replace(sInput,  < li > ,  - )

add back all of the special characters
sInput = Replace(sInput, &ndash;, )
sInput = Replace(sInput, &mdash;, )
sInput = Replace(sInput, &iexcl;, )
sInput = Replace(sInput, &iquest;, )
sInput = Replace(sInput, &quot;, )
sInput = Replace(sInput, &ldquo;, )
sInput = Replace(sInput, &rdquo;, )
sInput = Replace(sInput, , )
sInput = Replace(sInput, &lsquo;, )
sInput = Replace(sInput, &rsquo;, )
sInput = Replace(sInput, &laquo;, )
sInput = Replace(sInput, &raquo;, )
sInput = Replace(sInput, &nbsp;,  )
sInput = Replace(sInput, &amp;, &)
sInput = Replace(sInput, &cent;, )
sInput = Replace(sInput, &copy;, )
sInput = Replace(sInput, &divide;, )
sInput = Replace(sInput, &gt;, >)
sInput = Replace(sInput, &lt;, <)
sInput = Replace(sInput, &micro;, )
sInput = Replace(sInput, &middot;, )
sInput = Replace(sInput, &para;, )
sInput = Replace(sInput, &plusmn;, )
sInput = Replace(sInput, &euro;, )
sInput = Replace(sInput, &pound;, )
sInput = Replace(sInput, &reg;, )
sInput = Replace(sInput, &sect;, )
sInput = Replace(sInput, &trade;, )
sInput = Replace(sInput, &yen;, )
sInput = Replace(sInput, &aacute;, )
sInput = Replace(sInput, &Aacute;, )
sInput = Replace(sInput, &agrave;, )
sInput = Replace(sInput, &Agrave;, )
sInput = Replace(sInput, &acirc;, )
sInput = Replace(sInput, &Acirc;, )
sInput = Replace(sInput, &aring;, )
sInput = Replace(sInput, &Aring;, Ŕ)
sInput = Replace(sInput, &atilde;, )
sInput = Replace(sInput, &Atilde;, Ô)
sInput = Replace(sInput, &auml;, )
sInput = Replace(sInput, &Auml;, Ĕ)
sInput = Replace(sInput, &aelig;, )
sInput = Replace(sInput, &AElig;, Ɣ)
sInput = Replace(sInput, &ccedil;, )
sInput = Replace(sInput, &Ccedil;, ǔ)
sInput = Replace(sInput, &eacute;, )
sInput = Replace(sInput, &Eacute;, ɔ)
sInput = Replace(sInput, &egrave;, )
sInput = Replace(sInput, &Egrave;, Ȕ)
sInput = Replace(sInput, &ecirc;, )
sInput = Replace(sInput, &Ecirc;, ʔ)
sInput = Replace(sInput, &euml;, )
sInput = Replace(sInput, &Euml;, ˔)
sInput = Replace(sInput, &iacute;, )
sInput = Replace(sInput, &Iacute;, ͔)
sInput = Replace(sInput, &igrave;, )
sInput = Replace(sInput, &Igrave;, ̔)
sInput = Replace(sInput, &icirc;, )
sInput = Replace(sInput, &Icirc;, Δ)
sInput = Replace(sInput, &iuml;, )
sInput = Replace(sInput, &Iuml;, ϔ)
sInput = Replace(sInput, &ntilde;, )
sInput = Replace(sInput, &Ntilde;, є)
sInput = Replace(sInput, &oacute;, )
sInput = Replace(sInput, &Oacute;, Ӕ)
sInput = Replace(sInput, &ograve;, )
sInput = Replace(sInput, &Ograve;, Ҕ)
sInput = Replace(sInput, &ocirc;, )
sInput = Replace(sInput, &Ocirc;, Ԕ)
sInput = Replace(sInput, &oslash;, )
sInput = Replace(sInput, &Oslash;, ؔ)
sInput = Replace(sInput, &otilde;, )
sInput = Replace(sInput, &Otilde;, Ք)
sInput = Replace(sInput, &ouml;, )
sInput = Replace(sInput, &Ouml;, ֔)
sInput = Replace(sInput, &szlig;, ߔ)
sInput = Replace(sInput, &uacute;, )
sInput = Replace(sInput, &Uacute;, ڔ)
sInput = Replace(sInput, &ugrave;, )
sInput = Replace(sInput, &Ugrave;, ٔ)
sInput = Replace(sInput, &ucirc;, )
sInput = Replace(sInput, &Ucirc;, ۔)
sInput = Replace(sInput, &uuml;, )
sInput = Replace(sInput, &Uuml;, ܔ)
sInput = Replace(sInput, &yuml;, )
sInput = Replace(sInput, , )
sInput = Replace(sInput, , `)

replace all the remaining HTML Tags
With RegEx
.Global = True
.IgnoreCase = True
.MultiLine = True
.Pattern = <[^>]+> Regular Expression for HTML Tags.

End With
sOut = RegEx.Replace(sInput, )
StripHTML = sOut
Set RegEx = Nothing
End Function
